Module javafx.base
Package javafx.util

## Interface Callback<P,​R>

- Type Parameters:
    `P` - The type of the argument provided to the `call` method.
    `R` - The type of the return type of the `call` method.
  All Known Implementing Classes:
    `MapValueFactory`, `PropertyValueFactory`, `TreeItemPropertyValueFactory`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface Callback<P,​R>

  The Callback interface is designed to allow for a common, reusable interface to exist for defining APIs that requires a call back in certain situations.

  Callback is defined with two generic parameters: the first parameter specifies the type of the object passed in to the `call` method, with the second parameter specifying the return type of the method.

  Since:
    JavaFX 2.0

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `R` | `call​(P param)` | The `call` method is called when required, and is given a single argument of type P, with a requirement that an object of type R is returned.

- - ### Method Detail

    - #### call

          R call​(P param)

      The `call` method is called when required, and is given a single argument of type P, with a requirement that an object of type R is returned.
      Parameters:
        `param` - The single argument upon which the returned value should be determined.
      Returns:
        An object of type R that may be determined based on the provided parameter value.